package cn.iocoder.yudao.module.depository.vo.warehouse;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("仓库区域树形值")
public class WarehouseTreeVO {

    @ApiModelProperty("国家区域id")
    private Long guojia;
    @ApiModelProperty("国家中文名称")
    private String guojiaName ;
    @ApiModelProperty("国家英文名称")
    private String guojiaNameEn ;
    @ApiModelProperty("城市区域id")
    private Long shi;
    @ApiModelProperty("城市中文名称")
    private String shiName;
    @ApiModelProperty("城市英文名称")
    private String shiNameEn;

    @ApiModelProperty("仓库id")
    private Long warehouseId;
    @ApiModelProperty("仓库中文名称")
    private String warehouseTitleZh;
    @ApiModelProperty("仓库英文名称")
    private String warehouseTitleEn;


    @ApiModelProperty(value = "子元素", example = "true")
    private List<WarehouseTreeVO> children;
}
